import { Component, OnInit, Input, Inject } from '@angular/core';
import { AfterContentInit } from '@angular/core/src/metadata/lifecycle_hooks';
import { Target } from '../../../target/model';
import { MAT_DIALOG_DATA } from '@angular/material';
import { Infra } from '../../../infra/model';


@Component({
  selector: 'of-sensor-setting',
  templateUrl: './setting.component.html',
  styleUrls: ['./setting.component.scss']
})
export class SettingComponent implements OnInit, AfterContentInit {

  selectedTarget: Target = null;
  step = 1;

  constructor(
    @Inject(MAT_DIALOG_DATA) public data: any
  ) {
    if (data !== null) {
      this.selectedTarget = data.infra.target;
    }
  }


  ngOnInit() {
  }

  ngAfterContentInit() {

  }

  onNext() {
    this.step += 1;
  }

  onPrev() {
    this.step -= 1;
  }

  onDone() {
    console.log('finished');
  }

  handleTargetSelection(t: Target) {
    this.selectedTarget = t;
  }
}
